关于GR库的提问

之前用的是Julia的1.4.3版本,Plots在build GR后能顺利使用,重做系统后下载了1.5.3,之后一直报这个错误,请问大家有什么好的解决方案吗?

重装下 GR 试试吧

也有可能是路径名称问题,记得路径不要有中文

可以考虑符号链接把用户目录处理成英文或修改 JULIA_DEPOT_PATH

最后决定使用plotly了,没有问题,被GR搞得好烦 :no_mouth:

个人经验:GR出静态图效果更好,plotly适合交互

感谢分享经验,我再去尝试修改一下JULIA_DEPOT_PATH

我最近在使用GR的时候也出现了许多的问题。
后来我发现主要是GR没法定位到我的gksqt来展示图形界面,
你可以考虑下是否需要修改环境变量:
ENV["GKSwstype"]="gksqt"
直接在Julia的命令行界面输入上述命令就可。:smiley:

京ICP备17009874号-2